    #include "arrays.inc"
#include "chars.inc"
#include "colors.inc"
#include "finish.inc"
#include "glass.inc"
#include "golds.inc"
#include "math.inc"
#include "metals.inc"
#include "rand.inc"
#include "shapes.inc"
#include "shapes2.inc"
#include "shapesq.inc"
#include "skies.inc"
#include "stoneold.inc"
#include "stones.inc"
#include "stones1.inc"
#include "stones2.inc"
#include "strings.inc"
#include "textures.inc"
#include "transforms.inc"  
#declare besch_font = "courbd.ttf"
#declare global_fontfile_courier = "cour.ttf"
#declare global_fontfile_courier_bold = "courbd.ttf"
#declare global_fontfile_arial = "arial.ttf"
#declare global_fontfile_arial_bold = "arialbd.ttf"
#declare global_fontfile_handelgo = "handelgo.ttf"
#declare global_fontfile_eagle3d = "eagle3d.ttf"
#declare global_fontfile_alphalcd = "alphalcd.ttf"
#declare col_gold = texture {T_Gold_5E finish{F_MetalA}};
#declare col_silver = texture { T_Silver_5A finish{F_MetalA} } ;

//Definice a deklarace knihoven a psma

//Nastaven pohledu kamery
camera 
{
location <0,1.8,-3>  // ve vce o

look_at y            // y=<0,1,0>
}
 
//Nastaven zdroje svtla { 10*y White }
 
light_source { <5,15,-5> White }
light_source { <-50,100,-50> 0.2*White}   
background {White}                                             

///////////////////////////////////////////////////////////////   
///////////////////////////////////////////////////////////////
union
{
 difference
 {
 Round_Box_Union(<0,0,0>,<22,5.5,9>0.2)
  box{<0,0,0><7,4,7>translate<7,1.51,1>}
  cylinder{<0,-0.1,0>,<0,3,0>1.6 translate<11,0,4.5>} 
  pigment {color red 0.83 green 0.74 blue 0.54}
  
 }

union
{
 difference
 {
  cylinder{<0,0,0><6,0,0>3} 
  cylinder{<-0.1,0,0><6.1,0,0>2.6}
  box{<-0.1,0,0><6.1,7,3.6>translate<0,-3.1,-1.8>}
  texture{col_silver} 
 } 
 box{<0,0,0>,<6,2,0.4>rotate<0,0,0>texture{col_silver}translate<0,-4,-2.2>}
 box{<0,0,0>,<6,2,0.4>rotate<0,0,0>texture{col_silver}translate<0,-4,1.8>}
translate<0,9.4,4.5>
}


union
{
 difference
 {
  cylinder{<0,0,0><6,0,0>3} 
  cylinder{<-0.1,0,0><6.1,0,0>2.6}
  box{<-0.1,0,0><6.1,7,3.6>translate<0,-3.1,-1.8>}
  texture{col_silver} 
 } 
 box{<0,0,0>,<6,2,0.4>rotate<0,0,0>texture{col_silver}translate<0,-4,-2.2>}
 box{<0,0,0>,<6,2,0.4>rotate<0,0,0>texture{col_silver}translate<0,-4,1.8>}
translate<16,9.4,4.5>
}

union
 {
 box{<0,0,0>,<1.2,-5,0.9>texture{col_silver}}
 box{<0,0,0>,<5,5.5,0.9>texture{col_silver}translate<-1.9,0,0>}
 rotate<0,90,0>
 translate<-0.4,0,5.1>
 }

union
 {
 box{<0,0,0>,<1.2,-5,0.9>texture{col_silver}}
 box{<0,0,0>,<5,5.5,0.9>texture{col_silver}translate<-1.9,0,0>}
 rotate<0,90,0>
 translate<22,0,5.1>
 }

union
{
cylinder{<0.1,0,0><19.9,0,0>0.2 texture{col_silver}}
cylinder{<0.1,0,0><19.9,0,0>2.49 texture{Glass}}
cylinder{<0,0,0><5,0,0>2.5 texture{col_silver}} 
cylinder{<0,0,0><5,0,0>2.5 texture{col_silver}translate<15,0,0>}
translate<1,9.5,4.5>
}
translate<-11.2,0,-4.5>
scale 0.14
}